## lwm 1.01

=== Makefile ===
# Makefile generated by imake - do not edit!
# $TOG: imake.c /main/97 1997/06/20 20:23:51 kaleb $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $TOG: Imake.tmpl /main/245 1997/05/20 10:05:47 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.32.2.11 1998/11/08 09:06:27 dawes Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $TOG: Imake.cf /main/28 1997/06/25 08:31:36 barstow $
# $XFree86: xc/config/cf/Imake.cf,v 3.34.2.11 1998/12/22 11:23:01 hohndel Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17.2.1 1997/06/22 10:32:21 dawes Exp $
# Debian: extensive modifications for the package build

# $XFree86: xc/config/cf/xf86site.def,v 3.101.2.25 1998/11/08 09:06:29 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $TOG: linux.cf /main/36 1997/06/16 22:21:03 kaleb $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.57.2.16 1998/11/08 11:21:49 hohndel Exp $
# platform:  Debian: added -D_REENTRANT to StandardDefines (doesn't hurt libc5 compat build)
#                    set SetTtyGroup 1
#                    set HasZlib 1
#                    Sparc arch patches

# operating system:  Linux 2.2.12 i686 [ELF] (2.2.12)
# libc:	(6.1.2)
# binutils:	(29)

# $XConsortium: lnxLib.rules /main/13 1996/09/28 16:11:01 rws $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.28.2.4 1998/12/18 11:56:08 dawes Exp $
# Debian: defined ExtraLoadFlags null, because LIBTOOL_IS_A_FOOL

# $XFree86: xc/config/cf/xfree86.cf,v 3.129.2.36 1998/11/07 04:42:24 dawes Exp $

# $XConsortium: xfree86.cf /main/34 1996/12/06 11:45:18 rws $
# Debian: Sparc arch support

LINKKITDIR = $(USRLIBDIR)/Server
XF98LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers
  S3VDRIVERSRC = $(XF86SRC)/accel/s3_virge/drivers

       XF68SRC = $(SERVERSRC)/hw/xfree68
    XF68COMSRC = $(XF68SRC)/common
 XF68CONFIGSRC = $(XF68COMSRC)
     XF68OSSRC = $(XF68SRC)/os-support

           XF98SRC = $(SERVERSRC)/hw/xfree98
      XF98ACCELSRC = $(XF98SRC)/accel
        XF98COMSRC = $(XF98SRC)/common
     XF98CONFIGSRC = $(XF98COMSRC)
         XF98HWSRC = $(XF98SRC)/common_hw/generic
      XF98HWNECSRC = $(XF98SRC)/common_hw/nec
    XF98HWPWSKBSRC = $(XF98SRC)/common_hw/pwskb
     XF98HWPWLBSRC = $(XF98SRC)/common_hw/pwlb
    XF98HWGA968SRC = $(XF98SRC)/common_hw/ga968
         XF98OSSRC = $(XF98SRC)/os-support
  XF98VGADRIVERSRC = $(XF98SRC)/vga256/drivers
XF98VGA16DRIVERSRC = $(XF98SRC)/vga16/drivers
 XF98VGA2DRIVERSRC = $(XF98SRC)/vga2/drivers
 XF98MONODRIVERSRC = $(XF98SRC)/mono/drivers
XF98NECS3DRIVERSRC = $(XF98SRC)/accel/s3nec/drivers
XF98PWSKBDRIVERSRC = $(XF98SRC)/accel/s3pwskb/drivers
 XF98PWLBDRIVERSRC = $(XF98SRC)/accel/s3pwlb/drivers
XF98GA968DRIVERSRC = $(XF98SRC)/accel/s3ga968/drivers

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $XConsortium: xf86.rules /main/9 1996/10/31 14:54:26 kaleb $
# $XFree86: xc/config/cf/xf86.rules,v 3.16.2.1 1997/05/18 12:00:01 dawes Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17.2.1 1997/06/22 10:32:21 dawes Exp $
# Debian: extensive modifications for the package build

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/222 1997/07/17 20:04:40 kaleb $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.33.2.10 1998/11/04 10:53:01 dawes Exp $

 _NULLCMD_ = @ echo -n

TKLIBNAME = tk8.0

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl8.0

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
    EXPORTLISTGEN =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
        VARLIBDIR = /var/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2 -g
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = groff -Tps
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0644
     INSTMANFLAGS = -m 0644
     INSTDATFLAGS = -m 0644
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2 -g
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include/tk
        TKLIBNAME = tk8.0
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include/tcl
       TCLLIBNAME = tcl8.0
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $TOG: X11.rules /main/4 1997/04/30 15:23:24 kaleb $
#
#
#
# $XFree86: xc/config/cf/X11.rules,v 1.1.1.1.2.3 1998/10/04 15:22:47 hohndel Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/292 1997/05/20 10:05:59 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.8.2.9 1998/12/30 10:04:09 dawes Exp $

CONNECTION_FLAGS = -DUNIXCONN -DTCPCONN -DHAS_STICKY_DIR_BIT

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
   TOP_X_INCLUDES =

           VARDIR = /var/X11

           DOCDIR = $(LIBDIR)/doc
       DOCHTMLDIR = $(DOCDIR)/html
         DOCPSDIR = $(DOCDIR)/PostScript
          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(XTOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib

## lwm 1.2.2

=== debian/changelog ===
lwm (1.2.2-6) unstable; urgency=medium

  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
  * lwm.desktop
    - (Keywords): Add.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 12:12:24 +0300

lwm (1.2.2-5) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.4.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Sync Debian mantainers with debian/copyright.
    - (Comment): New. Move extra information here.
  * debian/debian-vars.mk
    - Delete. No longer needed.
  * debian/rules
    - Add install variables form debian-vars.mk.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 11 Jun 2013 16:56:19 +0300

lwm (1.2.2-4) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 12:47:24 -0400

lwm (1.2.2-3) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP5.
  * debian/patches
    - (20): Fix code for gcc hardened format specifiers.
  * debian/rules
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 13 Feb 2012 05:22:51 -0500

lwm (1.2.2-2) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
  * debian/patches
    - (40): New. Increase target area for close box. Patch thanks
      to  Joey Hess <joeyh@debian.org> (Closes: #453170).
  * debian/rules
    - Simplify rules.
    - (override_dh_installwm): New.
    - (override_dh_auto_install): New.
    - (install): Delete.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 12 Oct 2010 23:54:37 +0300

lwm (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - (Upstream Authors): add note about invalid email.
  * debian/rules:
    - (binary): remove binary-indep.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 20 Mar 2010 11:27:27 +0200

lwm (1.2.1-2) unstable; urgency=low

  * New maintainer (Closes: #572506).
     - Move to packaging format "3.0 (quilt)".
     - ACK NMU (Closes: #537321).
  * debian/clean
    - New file.
  * debian/compat:
    - Update to 7.
  * debian/control
    - (Build-Depends): update to debhelper 7.1.
    - (Description): use neutral tone (Closes: #439572).
    - (Depends): add ${misc:Depends}, add xterm etc. before virtual
      x-terminal-emulator.
    - (Homepage): update to Freshmeat.
    - (Standards-Version): update to 3.8.4.
    - (Suggests): new field.
  * debian/copyright
    - Update layout.
  * debian/debian-vars.mk
    - New file.
  * debian/lwm.desktop
    - New file (Closes: #330055).
  * debian/patches
    - Convert inline changes to patches.
    - (Number 05): Link with ICE library (FTBFS minor; Closes: #555571).
  * debian/rules
    - Update to dh(1).
    - (install): Define CC, otherwise the build fails under pbuilder.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 09 Mar 2010 17:16:54 +0200

lwm (1.2.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on xutils-dev instead of xutils for xmkmf (Closes: #485209).
  * Build-depend on x11proto-core-dev instead of x-dev (Closes: #515382).
  * debian/rules: Use $(MAKE) distclean instead of $(MAKE) clean, do not
    ignore errors.
  * Set debhelper compat version to 5.
  * Install man page as "lwm.1.gz".
  * Mention copyright holder and years of copyright in debian/copyright.
  * debian/control: Add Homepage field.
  * debian/control: Bump Standards-Version to 3.8.2.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 16 Jul 2009 21:19:15 +0200

lwm (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload to fix Failure To Build From Source.
  * Remove extra Depends line.  Thanks to Barry deFreese for the patch.
    Closes: 464296
  * debian/menu:
    + Updated section from "WindowManagers" to "Window Managers"
    + Updated command from "/usr/bin/X11/lwm" to "/usr/bin/lwm"
    + Quoted all strings

 -- Margarita Manterola <marga@debian.org>  Wed, 27 Feb 2008 18:13:52 +0000

lwm (1.2.1-1) unstable; urgency=low

  * New upstream release.  Closes: #279410
  * Change build-dependency from xlibs-dev to the libs we actually depend on
  * Reword manpage to clarify the button 3 menu.  Closes: #275836
  * Move setlocale() call after XCreateFontSet().  Closes: #257251

 -- Matthew Wilcox <willy@debian.org>  Sat, 26 Feb 2005 21:18:36 -0500

lwm (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Remove lesstif-dev from build-depends since it's no longer needed.

 -- Matthew Wilcox <willy@debian.org>  Tue, 09 Dec 2003 11:34:24 -0500

lwm (1.1.5-1) unstable; urgency=low

  * New maintainer.  Closes: #219063
  * New upstream version.  Closes: #215194
  * New upstream location.  Closes: #215193
  * Repackage, based on William's work.
    - Replace the manual page with upstream.
    - Drop support for /usr/sbin/register-window-manager
    - Bump priority to 80 (20 base + 20 for menu + 40 for EWMH).
    - Use debhelper v4.
    - Don't ship INSTALL -- we already did that bit for you.
  * Standards-Version 3.6.1
  * Somewhere, the patch to use x-terminal-emulator got lost.  Reinstate it.
  * Depend on x-terminal-emulator, we do invoke it after all.

 -- Matthew Wilcox <willy@debian.org>  Wed, 05 Nov 2003 12:33:41 -0500

lwm (1.01-3) unstable; urgency=low



=== debian/control ===
Source: lwm
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), xutils-dev, x11proto-core-dev, libsm-dev, libx11-dev, libxext-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/lwm.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/lwm.git
Homepage: http://www.jfc.org.uk/software/lwm.html

Package: lwm
Architecture: any
Provides: x-window-manager
Suggests: fbdesk, idesk
Depends: ${shlibs:Depends}, ${misc:Depends}, xterm | urxvt | rxvt | x-terminal-emulator
Description: lightweight window manager
 Low resource Window manager ideal for older PCs. It uses a minimum of
 external libraries, thus very little memory. It doesn't iclude
 icons, icon docs, button bars or root menus.

=== debian/watch ===
version=3
http://www.jfc.org.uk/software/lwm.html .*wm-(\d.+)\.tar\.gz

## lwm 1.2.4

=== debian/changelog ===
lwm (1.2.4-2) unstable; urgency=medium

  * New maintainer (Closes: #920091)
  * Rewrote description to be more informative
  * Fixed typo. (Closes: #1031650)
  * Added minimal support for xdg-desktop-portal (Closes: #1051010)
    + Added additional fields to session desktop file
      so that the Display Manager will pass XDG_CURRENT_DESKTOP=lwm
      to systemd
    + Added portals config file allowing xdg-desktop-portal
      to use whatever backends are available
  * Removed dependencies that don't exist in Debian
    + Removed fbdesk as it no longer exists
    + Replaced alternatives to x-term-emulator
  * Bumped standards version to 4.6.2
    + Set alternative priority to 40
  * Reviewed patches
    + Updated metadata of patches
    + Consolidated default terminal patches
  * Resolved other lintian warnings
    + Updated copyright information
    + Changed http to https in all URLs
    + Upstream bug submission URL
    + Removed trailing white space
    + Provided 2 overrides for dead upstream
    + Added Rules-Requires-Root field to debian/control
  * Added debian specific .gitignore
  * Removed obsolete build system
    + Instead of calling xmkmf, copy upstream backup Makefile
    + Ignore upstream backup Makefile for install
    + Copy lwm.man to lwm.1
    + Add files for dh_install, dh_installman, dh_clean
    + Removed dependency on xutils-dev
    + Patch upstream backup Makefile to be debhelper compliant
      and replicate the old system defines
      but without the warnings

 -- Nicholas Bamber <np.bamber@gmail.com>  Tue, 13 Feb 2024 09:42:48 +0000

lwm (1.2.4-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * New upstream version 1.2.4.
  * debian/: Apply wrap-and-sort -abst.
  * Refresh packaging:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.1.
    + Vcs-Git: Updated.
  * debian/watch: Upgrade to v4.
  * debian/patches: Drop patches applied upstream.
  * debian/patches: Refresh patches.
  * debian/patches: Add backported patches to fix UTF-8 window
    title. (Closes: #908753)
  * debian/upstream/metadata: Added.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Nov 2022 10:17:00 -0500

=== debian/control ===
Source: lwm
Section: x11
Priority: optional
Maintainer: Nicholas Bamber <np.bamber@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libsm-dev,
 libx11-dev,
 libxext-dev,
 x11proto-core-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/lwm
Vcs-Git: https://salsa.debian.org/debian/lwm.git
Homepage: https://www.jfc.org.uk/software/lwm.html

Package: lwm
Architecture: any
Provides:
 x-window-manager,
Suggests: idesk
Depends:
 xterm | x-terminal-emulator,
 ${misc:Depends},
 ${shlibs:Depends},
Description: lightweight window manager
 Low resource Window manager ideal for older PCs. It uses a minimum of
 external libraries, and thus very little memory. It allows new xterms
 to be spawned by clicking the middle mouse button but does not itself
 include icons, button bars or root menus.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

execute_before_dh_auto_build:
	cp no_xmkmf_makefile Makefile

execute_before_dh_installman:
	cp lwm.man lwm.1

override_dh_installwm:
	dh_installwm --priority=40 lwm

override_dh_auto_install:

%:
	dh $@

# End of file

=== debian/watch ===
version=4
opts="" \
 https://www.jfc.org.uk/software/lwm.html .*wm-(\d.+)\.tar\.gz
